Mailinglist Archive: opensuse-bugs (4292 mails)

< Previous Next >
[Bug 1037070] New: VUL-0: CVE-2017-8397: binutils: libbfd: heap buffer overflow in objdump
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 01 May 2017 22:26:59 +0000
  • Message-id: <bug-1037070-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1037070


Bug ID: 1037070
Summary: VUL-0: CVE-2017-8397: binutils: libbfd: heap buffer
overflow in objdump
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 42.2
Hardware: Other
OS: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Security
Assignee: security-team@xxxxxxx
Reporter: mikhail.kasimov@xxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

Created attachment 723333
--> http://bugzilla.opensuse.org/attachment.cgi?id=723333&action=edit
21434_upstream_crash_info

Ref: https://nvd.nist.gov/vuln/detail/CVE-2017-8397
===================================================
Description

The Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU
Binutils 2.28, is vulnerable to an invalid read of size 1 and an invalid write
of size 1 during processing of a corrupt binary containing reloc(s) with
negative addresses. This vulnerability causes programs that conduct an analysis
of binary programs using the libbfd library, such as objdump, to crash.
===================================================

Hyperlink

[1] https://sourceware.org/bugzilla/show_bug.cgi?id=21434

[2]
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=04b31182bf3f8a1a76e995bdfaaaab4c009b9cb2
(see https://sourceware.org/bugzilla/show_bug.cgi?id=21434#c1)

(open-)SUSE: https://software.opensuse.org/package/binutils

2.28 (TW, official repo)
2.26.1 (42.{1,2}, official repo)

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
Follow Ups